Comunidad Gambas-es

Versión completa: Gambas 3.16.0: Problemas en una aplicacion
Actualmente estas viendo una versión simplificada de nuestro contenido. Ver la versión completa con el formato correcto.
Páginas: 1 2
Acabo de actualizar a gambas 3.16.0, (usando el ppa:gambas-team/gambas3  ), y una de las aplicaciones que uso, ha dejado de funcionar (al iniciarla la pantalla se inicia pero no salen los botones, textbox, etc....)

¿hay alguna forma de deshacer la instalacion de la version 3.16.0 y instalar la anterior 3.15 ?

Saludos
(15-04-2021, 19:12)jsbsan escribió: [ -> ]¿hay alguna forma de deshacer la instalacion de la version 3.16.0 y instalar la anterior 3.15 ?

No se porque, ya el ppa apunta a la nueva versión.
Tal vez si:
Desinstalando / quitando ppa / apt update / instalar gambas del repositorio de ubuntu
Eso te deje la version 3.15 en tu sistema, pero no sera la del ppa
Saludos.

(15-04-2021, 19:12)jsbsan escribió: [ -> ]al iniciarla la pantalla se inicia pero no salen los botones, textbox, etc....

Eso puede deberse a algo del GUI que usa tu programa, proba cambiar de gb.qt[4|5] a gb.gui a ver que sucede.
Saludos
Hola Julio.

¿ Quieres que probemos la aplicación y te digamos como va en otras distros ?.

Puedo probarla en Linux Mint 20.1, 19.3 y 19.1

¿ Encontraste algo sobre como hacer un downgrade ?.

Supongo que ya no tendrás la 3.15. Mira a ver cuales tienes en la cache.

Bash
  1. apt-cache policy gambas3



Creo que solo te da la posibilidad de tener la última y la de la distro.

Saludos
He bajado un ejemplo de un compañero para solucionar el problema de ordenar un tableview y
la situación puede ser algo peor al cargar el proyecto.

[Imagen: 4lURAW9.png]

Sera cuestión de jugar con los ajustes de QT5. Voy a ver. Me temo que no a simple vista.

Saludos
Hola Tincho y Shell:
Cita: proba cambiar de gb.qt[4|5] a gb.gui a ver que sucede.
Si, eso fue lo primero que hice, pero no funciono

Luego he estado viendo el formulario principal, y parece que algún control contenedor es el que da problema (como si ya no se pudiera usar). Eliminando ya ha funcionado la aplicacion. Tengo que mirarlo más profundamente para saber cual  exactamente daba el error (creo que era un Vsplit o Hsplit) que han quedado en deshuso en esta version de gambas:

[Imagen: 6ZGu7T9.png]

Me tendré que ver las novedades de esta versión.

Gracias a los dos.

Julio
(16-04-2021, 20:11)jsbsan escribió: [ -> ]Me tendré que ver las novedades de esta versión.

Si, pero si lo querés hacer ahora mismo no vas a poder porque no existen, solo hay notas hasta la versión 3.15.2
http://gambas.sourceforge.net/en/main.html
Hace un rato termine de instalar una MV de linux mint 20.04 y le voy a poner el ppa "estable" a ver que hay de nuevo.
Esta es una de las razones por que me pase a Manjaro, donde suelen haber versiones mas nuevas de los programas, incluido gambas, el que suele estar disponible luego de unas semanas que se libero la versión estable.
Tal vez no hay muchos usuarios que prueban la versión de desarrollo y se vieron en la necesidad de forzar un poco las cosas.
Mi experiencia con gambas en estos años me indica que nunca conviene actualizar inmediatamente sale (tagged) la versión nueva de gitlab

Saludos.
(16-04-2021, 21:31)tincho escribió: [ -> ]Mi experiencia con gambas en estos años me indica que nunca conviene actualizar inmediatamente sale (tagged) la versión nueva de gitlab

El problema es que por defecto instalas lo que dice el instalador y confías en que no haya problemas.

Por lo general Benoît suele reparar el problema en breve, siempre dentro de las posibilidades.
Si es un fallo de la librería GTK3, la cosa cambia. Algo ajeno a Gambas. Tiene que reinventar y solucionar
el problema.

No obstante el ppa debería dar la posibilidad de tener dos versiones mínimo, la nueva y la anterior a esta que sabemos que funciona.
Problema. Puede que un ppa solo guarda la última versión. El espacio que ocupa para las distintos distros,
el trabajo de crear cada paquete de instalación, etc.

Quiero decir que el usuario tiene que tener de alguna forma "una seguridad". Los usuarios, el desarrollador.
Si hay un proceso "ideal" para evita estas cosas, animo a crear una solución a seguir, unos pasos, una guía, algo sencillo que
todos entendamos y que debemos hacer en situaciones así.

Como es normal, volver a instalar la 3.15.2, si no es de ppa, de fuente. Pero claro eso lo haces para ti, si tienes usuarios que usan
tu software, puede ser algo más complicado. Y que tu usuario entienda el problema.

Saludos
Que tremenda gracia me está haciendo tu comentario sobre los VSplit y HSplit, jsban. Estoy haciendo una pequeña aplicación que los usa, así que no me queda otra que no actualizar. Supongo que habrá algún tipo de sustituto natural para esos dos contenedores, o eso espero.

Un saludo.
(16-04-2021, 22:32)Shell escribió: [ -> ]El problema es que por defecto instalas lo que dice el instalador y confías en que no haya problemas.

Si suele funcionar siempre así pero... no pasa nada por esperarse unos días. Smile

(16-04-2021, 22:32)Shell escribió: [ -> ]No obstante el ppa debería dar la posibilidad de tener dos versiones mínimo

Si, estoy de acuerdo, lo que le propuse a Benoite es que mantenga solo un PPA llamado testing, en vez del estable.
Luego cuando va a cambiar la versión que habilite un PPA estable por dos semanas con la version anterior que funcionaba.
Esto permitiría a los usuarios salvar la situación frente a un error y a la vez todos aportaríamos feedbak de los fallos. Me parece un compromiso razonable, a ver que sale de todo esto.
Saludos

(16-04-2021, 22:39)guizans escribió: [ -> ]VSplit y HSplit ... Estoy haciendo una pequeña aplicación que los usa,
Yo los uso bastante también, a ver que lo reemplaza
Saludos.
Parece que el problema que he mostrado arriba se ha solucionado, acaba de salir una actualización.
Pero me encuentro un problema extraño que no puedo solucionar. ( Es una distro antigua que tengo para pruebas. Linux Mint 19.1).

En preferencia, en fuentes, no puedo escribir en las cajas de texto.. Huh

[Imagen: 4keaSU5.png]

Que cosa más extraña. Por si acaso no las toquéis que luego se quedan vacías. 

Saludos
Páginas: 1 2